return {

    { -- notification popups
        "https://github.com/rcarriga/nvim-notify",
        keys = {
            {
                "<leader>un",
                function()
                    require("notify").dismiss({ silent = true, pending = true })
                end,
                desc = "clear notifications",
            },
        },
        opts = {
            stages = "fade_in_slide_out",
            render = "compact",
            background_colour = "#000000",
            timeout = 3000,
            max_height = function()
                return math.floor(vim.o.lines * 0.75)
            end,
            max_width = function()
                return math.floor(vim.o.columns * 0.75)
            end,
        },
    },

    { -- indentation guides to all lines without conceal
        "https://github.com/lukas-reineke/indent-blankline.nvim",
        event = "BufReadPre",
        main = "ibl",
        opts = {
            indent = { char = "│", },
            exclude = {
                filetypes = {
                    "help",
                    "neo-tree",
                    "lazy",
                }
            },
        },
    },
}
